Package org.silverpeas.components.suggestionbox.notification

# Class AbstractSuggestionActionUserNotification

java.lang.Object
org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder
org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<T>
org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<T>
org.silverpeas.components.suggestionbox.notification.AbstractSuggestionBoxUserNotification<Suggestion>
org.silverpeas.components.suggestionbox.notification.AbstractSuggestionUserNotification
org.silverpeas.components.suggestionbox.notification.AbstractSuggestionActionUserNotification

All Implemented Interfaces:
  `org.silverpeas.core.notification.user.builder.UserNotificationBuilder`

Direct Known Subclasses:
  `SuggestionPendingValidationUserNotification`, `SuggestionValidationUserNotification`

public abstract class AbstractSuggestionActionUserNotification extends AbstractSuggestionUserNotification

Author:
  Yohann Chastagnier

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder.NotificationTemporal`

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `CUSTOM_NOTIFICATION_SUBJECT, DEFAULT_NOTIFICATION_SUBJECT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `isSendImmediately()`

  ### Methods inherited from class org.silverpeas.components.suggestionbox.notification.AbstractSuggestionUserNotification

  `getAction, getComponentInstanceId, getSender, getSenderDetail, performNotificationResource, performTemplateData, stopWhenNoUserToNotify`

  ### Methods inherited from class org.silverpeas.components.suggestionbox.notification.AbstractSuggestionBoxUserNotification

  `getContributionAccessLinkLabelBundleKey, getLocalizationBundlePath, getSenderName, getSuggestionBoxModerators, getTemplatePath`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `createNotification, getBundleSubjectKey, getTemplateFileName, getTitle, getTitle, perform, performBuild, performNotificationResource, performNotificationResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder

  `getResource, getResourceURL, initialize, initializeNotificationResourceData, isGroupCanBeNotified, isUserCanBeNotified, performBuild, setResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder

  `build, getBundle, getBundle, getContent, getExternalAddressesToNotify, getGroupIdsToNotify, getMessageType, getNotificationMetaData, getUserIdsToExcludeFromNotifying, getUserIdsToNotify, stop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### isSendImmediately

    protected boolean isSendImmediately()
    Overrides:
      `isSendImmediately` in class `org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<Suggestion>`